This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 473167 - rpm doesn't read ~/.popt
rpm doesn't read ~/.popt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 16:23 EST by Jeff Bastian
Modified: 2009-01-07 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:21:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2008-11-26 16:23:57 EST
Description of problem:
I'm not sure if this is a problem with rpm or popt.

I have a ~/.popt file with some aliases, for example, include the architecture when querying a package:
   rpm alias --arch \
           --qf '%{name}-%{version}-%{release}.%{arch}\n' \
           --POPTdesc=$"show package architecture"

This worked in Fedora 8.
   $ rpm -q --arch kernel
   kernel-2.6.26.6-49.fc8.x86_64

After upgrading to Fedora 10, I get
   $ rpm -q --arch kernel
   --arch: unknown option


Version-Release number of selected component (if applicable):
rpm-4.6.0-0.rc1.7.x86_64
popt-1.13-4.fc10.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Create a ~/.popt file with an alias
2. Run rpm with the new alias

  
Actual results:
an error saying 'unknown option'

Expected results:
the alias works

Additional info:
Running strace on rpm shows that it does not even read my ~/.popt file
Comment 1 Panu Matilainen 2008-11-29 12:51:34 EST
Yup, disabling ~/.popt and /etc/poptrc was supposed to be a temporary workaround for something but didn't remember to flip it back on. Fixed in rpm 4.6.0-rc2 in rawhide now, F10 will get it as an update after a bit of rawhide testing time.
Comment 2 Fedora Update System 2008-12-12 14:14:34 EST
rpm-4.6.0-0.rc3.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpm-4.6.0-0.rc3.1.fc10
Comment 3 Fedora Update System 2008-12-17 19:34:38 EST
rpm-4.6.0-0.rc3.1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11332
Comment 4 Jeff Bastian 2008-12-18 10:51:46 EST
rpm-4.6.0-0.rc3.1.fc10 reads my ~/.popt file again.  Thanks!
Comment 5 Fedora Update System 2009-01-07 04:20:38 EST
rpm-4.6.0-0.rc3.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.